@import url("variaveis.css");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: var(--background-color);
  font-family: var(--font-family);
  color: var(--cor-texto);
  display: flex;
  justify-content: center;
  padding: 2rem;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: normal;
  align-items: center;
  gap: 24px;

  &.bg-img {
    background-image: var(--bg-img);
    background-position: center;
    background-size: cover;
  }
}

.container {
  max-width: var(--max-width);
  width: 100%;
  background: var(--background-conteudo);
  padding: 2rem;
  border-radius: var(--radius);
  text-align: center;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
  height: fit-content;
  border: 1px solid #f7ba3e;
}

.avatar {
  width: 120px;
  height: 120px;
  border-radius: 50%;
  object-fit: cover;
  margin-bottom: 1rem;
  border: var(--borda-logo);
}

h1 {
  font-size: 1.5rem;
  margin-bottom: 0.5rem;
  color: var(--cor-titulo);
}

p {
  font-size: 0.95rem;
  color: var(--cor-texto);
  margin-bottom: 1.5rem;
  font-weight: bold;

  &.destaque {
    color: var(--cor-texto-destaque);
  }
}

.links a {
  display: block;
  background: var(--cor-botao);
  color: var(--cor-texto-botao);
  text-decoration: none;
  padding: 12px 20px;
  border-radius: 10px;
  margin-bottom: 1rem;
  transition: background 0.3s;
  font-weight: 500;
  text-align: left;

  &:hover {
    background: var(--cor-botao-hover);
    color: var(--cor-texto-botao-hover);
  }
}

.dropdown {
  position: relative;
  display: block;
  margin-bottom: 1rem;
}

.dropdown-toggle {
  width: 100%;
  background: var(--cor-botao);
  color: var(--cor-texto-botao);
  border: none;
  padding: 12px 20px;
  border-radius: 10px;
  font-weight: bold;
  text-align: left;
  cursor: pointer;
  transition: background 0.3s;
  justify-content: unset;
  display: flex;
  font-size: 0.95rem;
  align-items: center;

  &::after {
    content: "";
    display: inline-block;
    width: 26px;
    height: 26px;
    background-image: url("../imagens/assets/seta.png");
    background-size: cover;
    margin-right: 8px;
    vertical-align: middle;
    transition: transform 0.3s ease;
    margin-left: auto;
  }

  &.open {
    &::after {
      transform: rotate(180deg);
    }
  }

  &:hover {
    background: var(--cor-botao-hover);
    color: var(--cor-texto-botao-hover);
  }
}

.dropdown-menu {
  display: none;
  flex-direction: column;
  background: var(--background-dropdown);
  border-radius: 10px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
  margin-top: 8px;
  overflow: hidden;
  padding: 12px;

  a {
    padding: 12px 16px;
    text-decoration: none;
    color: var(--cor-texto-botao-interno);
    transition: background 0.3s;
    background-color: var(--cor-botao-interno);

    &:hover {
      background: #f0f0f0;
      background: var(--cor-botao-interno-hover);
      color: var(--cor-texto-botao-interno-hover);
    }

    &:last-child {
      margin-bottom: 0;
    }
  }
}

.botao {
  &::before {
    content: "";
    display: inline-block;
    width: 30px;
    height: 30px;
    /* background-image: url("../imagens/assets/icon.png"); */
    background-size: contain;
    background-repeat: no-repeat;
    margin-right: 10px;
    vertical-align: middle;
  }

  &.minicurso-link {
    &::before {
      background-image: url("../imagens/assets/minicurso.png");
    }

    &:hover {
      &::before {
        background-image: url("../imagens/assets/minicurso.png");
      }
    }
  }

  &.whatsapp-link {
    &::before {
      background-image: url("../imagens/assets/rs/whatsapp.png");
    }

    &:hover {
      &::before {
        background-image: url("../imagens/assets/rs/whatsappb.png");
      }
    }
  }

  &.servicos-link {
    &::before {
      background-image: url("../imagens/assets/servicos.png");
    }

    &:hover {
      &::before {
        background-image: url("../imagens/assets/servicosb.png");
      }
    }
  }

  &.doterra-link {
    &::before {
      background-image: url("../imagens/assets/oilclubew.png");
    }

    &:hover {
      &::before {
        background-image: url("../imagens/assets/oilclubeb.png");
      }
    }
  }

  &.bloqued {
    display: none;
  }
}

.redes-sociais {
  max-width: var(--max-width);
  width: 100%;
  background: var(--background-conteudo-transparent);
  padding: 1rem;
  border-radius: var(--radius);
  text-align: center;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
  height: fit-content;
  display: flex;
  flex-direction: column;
  gap: 20px;
  border: 1px solid #f7ba3e;

  .redes {
    display: flex;
    margin: 0 auto;
    gap: 20px;

    .rede-social {
      display: flex;
      margin: 0 auto;
      gap: 12px;
      &::before {
        content: "";
        display: inline-block;
        width: 40px;
        height: 40px;
        /* background-image: url("../imagens/assets/icon.png"); */
        background-size: contain;
        background-repeat: no-repeat;
        margin-right: 10px;
        vertical-align: middle;
      }

      &.instagram {
        &::before {
          background-image: url("../imagens/assets/rs/instagram.png");
        }
      }

      &.linkedin {
        &::before {
          background-image: url("../imagens/assets/rs/linkedin.png");
        }
      }

      &.youtube {
        &::before {
          background-image: url("../imagens/assets/rs/youtube.png");
        }
      }

      &.whatsapp {
        &::before {
          background-image: url("../imagens/assets/rs/whatsapp.png");
        }
      }

      &.tiktok {
        &::before {
          background-image: url("../imagens/assets/rs/tiktok.png");
        }
      }

      &.bloqued {
        display: none;
      }
    }
  }

  .title-rs {
    color: var(--cor-title-redes);
  }
}

.desenvolvido-por {
  max-width: 150px;
  width: 100%;
  padding: 0.5rem;
  text-align: center;
  margin-bottom: 10px;
  font-size: 0.8rem;
  color: var(--cor-texto);
}

.desenvolvido-por p {
  margin-bottom: 5px;
  font-size: 0.8rem;
  color: var(--cor-texto);
  font-weight: normal;
}

.logo-ylink {
  max-width: 80px;
  height: auto;
  opacity: 0.8;
  transition: opacity 0.3s ease;
}

.logo-ylink:hover {
  opacity: 1;
}
